package app;

import xstartup.base.XStartup;
import xstartup.base.conf.XServerConf;
import xstartup.base.conf.XServiceConf;
import xstartup.boot.XStartupApplication;
import xstartup.feature.api.XApiFeature;
import xstartup.feature.api.conf.XApiCookieConf;
import xstartup.feature.cloud.XCloudAlibabaFeature;
import xstartup.feature.cloud.conf.XCloudBundle;
import xstartup.feature.cloud.conf.XCloudBundlesConf;
import xstartup.feature.cors.XCorsFeature;
import xstartup.feature.mybatis.XMybatisFeature;
import xstartup.feature.rpc.XRpcFeature;
import xstartup.feature.swagger.XSwaggerFeature;

/**
 * 基础信息配置模块启动程序
 *
 * @author ZWT
 * @date 2023/11/29
 */
public class DeployPpsBaseApplication {

    public static void main(String[] args) {
        XStartup startup = new XStartupApplication("pps");
        startup.config(new XServerConf(22061).naming("pps-base"))
                .config(new XServiceConf("pps"));
        startup.enable(XApiFeature.class)
                .config(new XApiCookieConf("%4bH8s9&", 43200));
        startup.enable(XMybatisFeature.class);
        startup.enable(XSwaggerFeature.class);
        startup.enable(XRpcFeature.class);
        startup.enable(XCorsFeature.class);
        startup.enable(XCloudAlibabaFeature.class)
                .config(XCloudBundlesConf.with(
                                XCloudBundle.naming("pps-system").addModule("pps", "cloud", "system"),
                                XCloudBundle.naming("pps-prediction").addModule("pps", "cloud", "prediction"),
                                XCloudBundle.naming("pps-space").addModule("pps", "cloud", "space")
                        )
                );
        startup.run(args);
    }
}
